<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>activity a</title>
</head>
<body>
	<i>Science and Engineering Ethics(2001) 7, 231-238</i>
	<hr>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h2>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h2>
	<hr>
	<p><b>Keywords:</b>code of ethics, professional responsibility, software engineering</p>
	<h2>PREAMBLE</h2>
	<br>
	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these spirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.</p>
<h2>Principles</h2>
<ol>
	<li><i>Public</i>. Software engineers shall act consistently with the public interest</li>
	<li><i>Client and employer</i>. Software engineers shall act inamanner that is in the best interests of their client and employer,consistent with the public interest.</li>
	<li><i>Product</i>. Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
	<li><i>Judgement</i>. Software engineers shall maintain integrity and independence in their professional judgment.</li>
	<li><i>Management</i>. Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
	<li><i>Profession</i>. Software engineers shall advance the integrity and reputation of theprofession consistent with the public interest.</li>
	<li><i>Colleagues</i>. Software engineers shall act consistently with the public interest</li>
	<li><i>Self</i>. Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
</ol>
</body>
</html>